Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225705 - Merge Review: docbook-utils
Summary: Merge Review: docbook-utils
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:29 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-16 05:17:56 UTC
panemade: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 18:29:32 UTC
Fedora Merge Review: docbook-utils

http://cvs.fedora.redhat.com/viewcvs/devel/docbook-utils/
Initial Owner: twaugh@redhat.com

Comment 1 Ondrej Vasik 2007-07-27 08:18:26 UTC
Package Change Request
======================
Package Name: docbook-utils
Updated Fedora Owners: ovasik@redhat.com

Comment 2 Parag AN(पराग) 2007-11-05 12:46:53 UTC
when I cvs checkout devel branch and tried to create srpm I got
error: line 15: Unknown tag: <<<<<<< docbook-utils.spec
error: query of specfile docbook-utils.spec failed, can't parse
error: line 15: Unknown tag: <<<<<<< docbook-utils.spec
error: query of specfile docbook-utils.spec failed, can't parse
Downloading docbook-utils-0.6.14.tar.gz...


and then it failed to create SRPM.
can you comment those lines

Comment 3 Tim Waugh 2007-11-05 12:49:51 UTC
CCing maintainer.

Comment 4 Parag AN(पराग) 2007-11-05 13:08:08 UTC
Preliminary review:-
1)rpmlint gave me
docbook-utils.src: W: strange-permission db2html 0775
A file that you listed to include in your package has strange
permissions. Usually, a file should have 0644 permissions.

docbook-utils-pdf.noarch: W: dangling-relative-symlink
/usr/share/man/man1/db2pdf.1.gz jw.1.gz
The relative symbolic link points nowhere.

docbook-utils-pdf.noarch: W: dangling-relative-symlink
/usr/share/man/man1/docbook2pdf.1.gz jw.1.gz
The relative symbolic link points nowhere.

docbook-utils-pdf.noarch: W: dangling-relative-symlink
/usr/share/man/man1/docbook2dvi.1.gz jw.1.gz
The relative symbolic link points nowhere.

docbook-utils-pdf.noarch: W: dangling-relative-symlink
/usr/share/man/man1/docbook2ps.1.gz jw.1.gz
The relative symbolic link points nowhere.


2)change buildroot to standard acceptable one.
http://fedoraproject.org/wiki/Packaging/Guidelines#head-b4fdd45fa76cbf54c885ef0836361319ab962473

3) make sure to follow
http://fedoraproject.org/wiki/Packaging/Guidelines#head-6c809b2e945ca78ae25d040f250be60f73181ef0

3) make should be as given in 
http://fedoraproject.org/wiki/Packaging/Guidelines#head-525c7d76890cb22df33b759c65c35c82bf434d2e

4) defattr should be %defattr (-,root,root,-)



Comment 5 Ondrej Vasik 2007-11-05 13:40:25 UTC
I did rpmlint checks on docbook packages in last week, so this is not new for me
and some issues were solved before that review.

About that unknown tag - used virtual provide text-www-browser - which covers
w3m , elinks and lynx , built with koji without troubles, elinks, lynx and w3m
provides that text-www-browser in F8 and devel branch. Documented in virtual
provides of Fedora.

1)About that warning with jw.1.gz - this is packaged in docbook-utils main
package - and that is using it too. There is Requires:docbook-utils={%version}
in subpackage , so is guaranteed, that the symlink will point to correct place.
So I don't care about that warning. I would keep it like that- it is just
cosmetic thing of rpmlint check, because without --nodeps you will not get
situation with symlink pointing to nonexisting file.

That permission 0775 is quiet strange - 0775 is permission of db2html in
tarball, but in %files section I'm using %attr(0755,root,root) on it. In
%install section there is used install -c -m 755 on that file, so it should have
correct 755 permissions after installation.

2-3)Guidelines will be followed.

4)I don't think that the 4th point is not necessary - that last "-" for
directories is by default afaik. But is harmless to add it.

Please let me know if ignoring rpmlint warnings is ok in this case.


Comment 6 Parag AN(पराग) 2007-11-05 16:35:30 UTC
rpmlint messages that I reported in 1) are ok then but still I think good to
follow defattr what I asked to use

Comment 7 Ondrej Vasik 2007-11-05 17:54:14 UTC
Ok, done, built as docbook-utils-0.6.14-12.fc9 , added some macros usage and
timestamp preserving to install

Comment 8 Parag AN(पराग) 2007-11-14 06:03:57 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is NOT silent for SRPM and for RPM.
docbook-utils.src: W: strange-permission db2html 0775
docbook-utils-pdf.noarch: W: dangling-relative-symlink
/usr/share/man/man1/db2pdf.1.gz jw.1.gz
docbook-utils-pdf.noarch: W: dangling-relative-symlink
/usr/share/man/man1/docbook2pdf.1.gz jw.1.gz
docbook-utils-pdf.noarch: W: dangling-relative-symlink
/usr/share/man/man1/docbook2dvi.1.gz jw.1.gz
docbook-utils-pdf.noarch: W: dangling-relative-symlink
/usr/share/man/man1/docbook2ps.1.gz jw.1.gz
=> these messages can be ignored for this package.
+ source files match upstream.
6b41b18c365c01f225bc417cf632d81c  docbook-utils-0.6.14.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ -pdf subpackage is present.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ package docbook-utils-0.6.14-12.fc9 ->
  Provides: stylesheets = 0.6.14-12.fc9
  Requires: /bin/sh /usr/bin/perl docbook-dtds docbook-style-dsssl >= 1.72
perl(Getopt::Long) >= 2.01 perl(integer) perl(strict) perl(vars) perl-SGMLSpm >=
1.03ii text-www-browser which
+ package docbook-utils-pdf-0.6.14-12.fc9 ->
  Provides: stylesheets-db2pdf = 0.6.14-12.fc9
  Requires: /bin/sh docbook-utils = 0.6.14 jadetex >= 2.5 tetex-dvips
+ Not a GUI app.
APPROVED.



Note You need to log in before you can comment on or make changes to this bug.